%define upstream_name	 List-MoreUtils
%define upstream_version 0.430

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provide the stuff missing in List::Util 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

Recommends:	perl(List::MoreUtils::XS) >= 0.418

BuildRequires: perl(Exporter::Tiny) >= 0.38.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils::XS) >= 0.430.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%description
List::MoreUtils provides some trivial but commonly needed functionality on
lists which is not going to go into List::Util.

All of its functions are implementable in one line of Perl code. Using
the functions from this module however should give slightly better performance
as everything is implemented in C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
%make_build test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/List
%{_mandir}/*/*

%changelog
* Thu Oct 22 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1638262
- update to 0.430

* Wed Jun 17 2020 pterjan <pterjan> 0.428.0-9.mga8
+ Revision: 1594124
- Clean rebuild
- Rebuild for new perl

* Sat Feb 15 2020 umeabot <umeabot> 0.428.0-7.mga8
+ Revision: 1528670
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 0.428.0-6.mga8
+ Revision: 1432461
- rebuild with perl-5.30 on BS (for missing signature)
+ tmb <tmb>
- rebuild for perl-5.30.0-4.mga8

* Thu Sep 20 2018 umeabot <umeabot> 0.428.0-4.mga7
+ Revision: 1284503
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.428.0-3.mga7
+ Revision: 1247844
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Tue Dec 12 2017 tv <tv> 0.428.0-1.mga7
+ Revision: 1182392
- update to 0.428

* Fri Oct 13 2017 tv <tv> 0.426.0-1.mga7
+ Revision: 1171631
- update to 0.426

* Tue Oct 03 2017 tv <tv> 0.425.0-3.mga7
+ Revision: 1165261
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.425.0-2.mga7
+ Revision: 1154334
- BR perl(List::MoreUtils::XS) for testsuite
- new release

* Wed Aug 30 2017 neoclust <neoclust> 0.419.0-7.mga7
+ Revision: 1148459
- Rebuild on the BS

* Wed Aug 30 2017 neoclust <neoclust> 0.419.0-6.mga7
+ Revision: 1148458
- Rebuild on the BS
- Bump release to rebuild against non bootstrapped perl

* Mon Jul 24 2017 neoclust <neoclust> 0.419.0-4.mga7
+ Revision: 1130157
- Rebuild on the BS

* Sat Jul 22 2017 neoclust <neoclust> 0.419.0-3.mga7
+ Revision: 1126651
- Rebuild against new Perl 5.26

* Fri Jul 21 2017 tv <tv> 0.419.0-2.mga7
+ Revision: 1126248
- rebuild for perl 5.26

* Thu Jul 20 2017 tv <tv> 0.419.0-1.mga7
+ Revision: 1125408
- recommends new split out List::MoreUtils::XS
- fix file list
- new release
- rebuild for new perl

* Sat May 07 2016 luigiwalser <luigiwalser> 0.415.0-1.mga6
+ Revision: 1010095
- 0.415

* Fri Feb 12 2016 umeabot <umeabot> 0.413.0-5.mga6
+ Revision: 957663
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.413.0-4.mga6
+ Revision: 843433
- rebuild with soname-ified perl

* Tue Jun 23 2015 tmb <tmb> 0.413.0-3.mga6
+ Revision: 840398
- rebuild with buildsystem
- rebuild with perl-5.22

* Tue Jun 23 2015 tv <tv> 0.413.0-1.mga6
+ Revision: 840292
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-12.mga5
+ Revision: 742965
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.330.0-11.mga5
+ Revision: 733135
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-10.mga5
+ Revision: 685238
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 0.330.0-9.mga5
+ Revision: 630706
- Rebuild cleanly
- Rebuild for new Perl

* Tue Feb 04 2014 tv <tv> 0.330.0-7.mga5
+ Revision: 581812
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-6.mga4
+ Revision: 524673
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.330.0-5.mga4
+ Revision: 431368
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.330.0-4.mga4
+ Revision: 430870
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-3.mga3
+ Revision: 369127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 0.330.0-2.mga3
+ Revision: 283404
- Clean rebuild
+ jquelin <jquelin>
- update to 0.33

* Wed Jun 15 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 107030
- update to 0.32

* Sun Jun 12 2011 ahmad <ahmad> 0.300.0-4.mga2
+ Revision: 104547
- Rebuild for missing signature

* Wed Jan 19 2011 jquelin <jquelin> 0.300.0-3.mga1
+ Revision: 23770
- rebuild

* Tue Jan 18 2011 blino <blino> 0.300.0-2.mga1
+ Revision: 23247
- rebuild with new perl
+ jquelin <jquelin>
- imported package perl-List-MoreUtils

